xine-lib: xine-lib-1.2.12/src/post/deinterlace/plugins/double.c File Reference

xine-lib 1.2.12

Functions | Variables
double.c File Reference
`#include <stdio.h>`
`#include <stdint.h>`
`#include "speedy.h"`
`#include "deinterlace.h"`
`#include "plugins.h"`

## Functions
static void | deinterlace_scanline_double (uint8_t *output, deinterlace_scanline_data_t *data, int width)
static void | copy_scanline (uint8_t *output, deinterlace_scanline_data_t *data, int width)
const deinterlace_method_t * | double_get_method (void)

## Variables
static const deinterlace_method_t | doublemethod

## Function Documentation

## ◆ copy_scanline()

static void copy_scanline | ( | uint8_t * | output,
|  | deinterlace_scanline_data_t * | data,
|  | int | width
| ) |  |
| static

References blit_packed422_scanline, deinterlace_scanline_data_s::m0, and width.

## ◆ deinterlace_scanline_double()

static void deinterlace_scanline_double | ( | uint8_t * | output,
|  | deinterlace_scanline_data_t * | data,
|  | int | width
| ) |  |
| static

Line doubler deinterlacing plugin.

Copyright (C) 2002 Billy Biggs vekto.nosp@m.r@du.nosp@m.mbter.nosp@m.m.ne.nosp@m.t.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA.

References blit_packed422_scanline, deinterlace_scanline_data_s::t0, and width.

## ◆ double_get_method()

const deinterlace_method_t * double_get_method | ( | void |  | ) |

References doublemethod.

Referenced by deinterlace_init_plugin().

## Variable Documentation

## ◆ doublemethod

const deinterlace_method_t doublemethod
| static

Initial value:
=
{
"Line Doubler",
"LineDoubler",
1,
0,
0,
1,
deinterlace_scanline_double,
copy_scanline,
0,
0,
NULL
}
deinterlace_scanline_double
static void deinterlace_scanline_double(uint8_t *output, deinterlace_scanline_data_t *data, int width)
Definition: double.c:37
copy_scanline
static void copy_scanline(uint8_t *output, deinterlace_scanline_data_t *data, int width)
Definition: double.c:44
NULL
NULL
Definition: xine_plugin.c:78

Referenced by double_get_method().